Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.MageSigner Class Referencesealed
Inheritance diagram for Zwipe.Build.Tools.Signing.MageSigner:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.MageSigner:
[legend]

## Public Member Functions
| MageSigner (string magePath, string pfxPath, string pfxPassword, string signAlgorithm, string timestampUrl)
| MageSigner (string magePath, ISignProvider provider, IDictionary< string, string > parameters)
| MageSigner (string signToolPath, ISignProvider provider, ISignConfigurationProvider parameters)
| MageSigner (string magePath, ISignProvider signProvider, string signAlgorithm, string timestampUrl)
override string[] | Sign (string filePath)
Public Member Functions inherited from Zwipe.Build.Tools.Signing.Signer
string[] | Sign (string filePath)

## Static Private Member Functions
static string | GetCommandLineParameters (ISignProvider signProvider, string signAlgorithm, string timestampUrl, string path)
static string | SignFile (string magePath, ISignProvider signProvider, string signAlgorithm, string timestampUrl, string filePath)

## Private Attributes
readonly string | _magePath
readonly ISignProvider | _signProvider
readonly string | _signAlgorithm
readonly string | _timestampUrl

## Constructor & Destructor Documentation

## ◆ MageSigner() [1/4]

Zwipe.Build.Tools.Signing.MageSigner.MageSigner | ( | string | magePath,
|  | string | pfxPath,
|  | string | pfxPassword,
|  | string | signAlgorithm,
|  | string | timestampUrl )

## ◆ MageSigner() [2/4]

Zwipe.Build.Tools.Signing.MageSigner.MageSigner | ( | string | magePath,
|  | ISignProvider | provider,
|  | IDictionary< string, string > | parameters )

## ◆ MageSigner() [3/4]

Zwipe.Build.Tools.Signing.MageSigner.MageSigner | ( | string | signToolPath,
|  | ISignProvider | provider,
|  | ISignConfigurationProvider | parameters )

## ◆ MageSigner() [4/4]

Zwipe.Build.Tools.Signing.MageSigner.MageSigner | ( | string | magePath,
|  | ISignProvider | signProvider,
|  | string | signAlgorithm,
|  | string | timestampUrl )

## Member Function Documentation

## ◆ GetCommandLineParameters()

string Zwipe.Build.Tools.Signing.MageSigner.GetCommandLineParameters | ( | ISignProvider | signProvider,
|  | string | signAlgorithm,
|  | string | timestampUrl,
|  | string | path )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Sign()

override string[] Zwipe.Build.Tools.Signing.MageSigner.Sign | ( | string | filePath | ) |

Here is the call graph for this function:

## ◆ SignFile()

string Zwipe.Build.Tools.Signing.MageSigner.SignFile | ( | string | magePath,
|  | ISignProvider | signProvider,
|  | string | signAlgorithm,
|  | string | timestampUrl,
|  | string | filePath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ _magePath

readonly string Zwipe.Build.Tools.Signing.MageSigner._magePath
| private

## ◆ _signAlgorithm

readonly string Zwipe.Build.Tools.Signing.MageSigner._signAlgorithm
| private

## ◆ _signProvider

readonly ISignProvider Zwipe.Build.Tools.Signing.MageSigner._signProvider
| private

## ◆ _timestampUrl

readonly string Zwipe.Build.Tools.Signing.MageSigner._timestampUrl
| private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/MageSigner.cs